Kerbal Space Program - Bug #24497

The Atmosphere gauge slider does not move past upper atmosphere when viewing the Altimeter in
flight.

12/11/2019 06:19 PM - chris.fulton

Status: Closed Start date: 11/18/2019
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: Xbox One - Enhanced Edition Language: English (US)
2019-12-05 Patch 9
Platform: PS4, XBoxOne Mod Related: No
Expansion: Breaking Ground, Core Game, Making
History
Description

Steps to Reproduce:

Load into the Main Menu and select Start Game.
Proceed into a Sandbox game.

Proceed to the Launchpad.

Choose the AeroEquus stock vessel.

Proceed to launch.

Launch the AeroEquus.

Fly until the vessel is out of Kerbin’s atmosphere.
View the Atmosphere gauge under the Altimeter.
Actual Results:
When viewing the Atmosphere gauge, the slider does not move all the way to the left side when leaving the atmosphere.

Additional Information:

e repro rate: %100

Expected Results:
The Atmosphere gauge will move naturally when leaving the atmosphere of a CB.

History

#1 - 12/11/2019 06:19 PM - chris.fulton
- File AltimeterUIStuck.jpg added

#2 - 12/11/2019 06:20 PM - nestor
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 01/29/2020 11:53 PM - KnotOfScotland

Also causes ships in orbit to rotate as if being affected by drag (thus space stations become impossible to create) - Gamebreaking...

#4 - 02/20/2020 07:57 PM - chris.fulton
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Closing; Bug is fixed in the latest patch release.

#5 - 02/20/2020 07:57 PM - chris.fulton

- Status changed from Resolved to Closed
AltimeterUIStuck.jpg 147 KB 12/11/2019 chris.fulton
